Name:           @PACKAGE@
Version:        @VERSION@
Release:        1%{?dist}
Summary:        Radio
License:        GPLv3+
URL:            http://www.gnomeradio.org/
Source:         %{url}/src/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  pango
BuildRequires:  libchamplain-devel
BuildRequires:  libxml2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  geoclue2-devel
BuildRequires:  geocode-glib-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-bad-free-devel
BuildRequires:  gstreamer1-plugins-base-devel
Requires:       gstreamer1 >= 1.8.3
Requires:       gstreamer1-plugins-ugly-free >= 1.8.3
Requires:       geocode-glib >= 3.20.1
Requires:       gtk3 >= 3.24.34
Requires:       geoclue2 >= 2.5.7
Provides:       gnome-internet-radio-locator = 16.0.6
Obsoletes:      gnome-internet-radio-locator < 16.0.6
Provides:       gtk-radio = 550.3
Obsoletes:      gtk-radio < 550.3

%description

Radio is a Free Software program that allows you to easily play Free
Internet Radio stations by broadcasters on the Internet from the uri.

%prep
%setup -q

%build
%configure --with-recording --disable-silent-rules --disable-schemas
%make_build
%install
%make_install
%find_lang %{name} --with-man

%check
%files -f %{name}.lang
%doc AUTHORS NEWS README TODO ChangeLog
%license COPYING
%{_bindir}/%{name}

%changelog
* Wed Jan 07 2026 Ole Aamot <ole@aamot.org> - 0.1.0-1
- Stable aa-radio 0.1.0
